Summary:     Meta package for MATE desktop environment
Name:        task-mate
Version:     1.6.0
Release:     %mkrel 8
URL:         http://www.mageia.org
Group:       Graphical desktop/MATE
License:     GPLv2+
BuildArch:   noarch

Requires:    %{name}-minimal >= %{version}
Requires:    mate-document-viewer >= %{version}
Requires:    mate-applets >= %{version}
Requires:    mate-calc >= %{version}
Requires:    dconf-editor
Requires:    mate-dialogs >= %{version}
Requires:    mate-file-archiver >= %{version}
Requires:    mate-image-viewer >= %{version}
Requires:    mate-keyring >= %{version}
Requires:    mate-screensaver >= %{version}
Requires:    mate-system-monitor >= %{version}
Requires:    mate-text-editor >= %{version}
Requires:    mate-terminal >= %{version}
Requires:    mate-utils >= %{version}
Requires:    mate-menu-editor >= %{version}
#Disabled until upstream migrate to Bluez5
#Requires:    mate-file-manager-sendto-bluetooth >= %{version}
#Requires:    mate-bluetooth >= %{version}
# These are also disabled because they pull bluetooth stuff...
#Suggests:    mate-file-manager-sendto-pidgin >= %{version}
#Suggests:    mate-file-manager-sendto-upnp >= %{version}
Suggests:    mate-character-map >= %{version}
Suggests:    mate-file-manager-image-converter >= %{version}
Suggests:    mate-file-manager-open-terminal >= %{version}
Suggests:    caja-actions
Suggests:    mate-media >= %{version}
Suggests:	 mate-sensors-applet >= %{version}
Suggests:	 mate-netspeed >= %{version}
Suggests:	 mate-text-editor-plugins

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running the MATE.

%package minimal
Summary:    Minimal dependencies needed for MATE desktop 
Group:        Graphical desktop/MATE

Requires:    mate-backgrounds >= %{version}
Requires:    mate-control-center >= %{version}
Requires:    mate-file-manager >= %{version}
Requires:    mate-icon-theme >= %{version}
Requires:    mate-panel >= %{version}
Requires:    mate-power-manager >= %{version}
Requires:    mate-session-manager >= %{version}
Requires:    mate-settings-daemon >= %{version}
Requires:    mate-themes >= %{version}
Requires:    mate-window-manager >= %{version}
Requires:    mate-notification-daemon >= %{version}
Requires:    mate-polkit >= %{version}
Requires:    preload
Requires:    task-pulseaudio
Requires:    task-x11
Requires:	 dm
Suggests:    mageiawelcome
Suggests:    drakconf

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal MATE desktop environment.

%prep

%install

%build

%files

%files minimal





%changelog
* Mon Jan 20 2014 tarakbumba <tarakbumba> 1.6.0-8.mga4
+ Revision: 567074
- Disable mate-file-manager-sendto stuff, they pull obsolote bluetooth stuff
- Move some apps to suggests
- Add settings-daemon to minimal install
- Require display manager for minimal

* Tue Jan 07 2014 tarakbumba <tarakbumba> 1.6.0-7.mga4
+ Revision: 565455
- Ensure that mate-polkit is installed

* Sun Dec 15 2013 ennael <ennael> 1.6.0-6.mga4
+ Revision: 557147
- add mageiawelcome as a suggest

* Sun Dec 15 2013 colin <colin> 1.6.0-5.mga4
+ Revision: 557088
- Drop subrel definition that should not be in released packages.

* Sun Dec 15 2013 tarakbumba <tarakbumba> 1.6.0-4.1.mga4
+ Revision: 556933
- Bump release
- Require notification-daemon for minimal install

* Sat Dec 14 2013 tarakbumba <tarakbumba> 1.6.0-3.1.mga4
+ Revision: 556841
- Remove mate-bluetooth, as it is known to not working with Bluez5

* Mon Oct 21 2013 tarakbumba <tarakbumba> 1.6.0-2.1.mga4
+ Revision: 541060
- Disabled mate-bluetooth requires

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531062
- Mageia 4 Mass Rebuild

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445531
- imported package task-mate

